## org.eclipse.jst.jsf.facesconfig.emf.impl
Class LocaleConfigTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.LocaleConfigTypeImpl

All Implemented Interfaces:
  LocaleConfigType

    public class LocaleConfigTypeImpl

extends EObjectImpl
implements LocaleConfigType

An implementation of the model object 'Locale Config Type'.

The following features are implemented:

- `Default Locale`
- `Supported Locale`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetDefaultLocale(DefaultLocaleType newDefaultLocale, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`DefaultLocaleType` `getDefaultLocale()`
`java.lang.String` `getId()`
`EList` `getSupportedLocale()`
`void` `setDefaultLocale(DefaultLocaleType newDefaultLocale)`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDefaultLocale

    public DefaultLocaleType getDefaultLocale()

  Specified by:
    `getDefaultLocale` in interface `LocaleConfigType`
  Returns:
    the value of the 'Default Locale' containment reference.
  See Also:
    `LocaleConfigType.setDefaultLocale(DefaultLocaleType)`, `FacesConfigPackage.getLocaleConfigType_DefaultLocale()`

### basicSetDefaultLocale

    public NotificationChain basicSetDefaultLocale(DefaultLocaleType newDefaultLocale,
                                                   NotificationChain msgs)

  Parameters:
    `newDefaultLocale` -
    `msgs` -
  Returns:
    the notification chain

### setDefaultLocale

    public void setDefaultLocale(DefaultLocaleType newDefaultLocale)

  Specified by:
    `setDefaultLocale` in interface `LocaleConfigType`
  Parameters:
    `newDefaultLocale` - the new value of the 'Default Locale' containment reference.
  See Also:
    `LocaleConfigType.getDefaultLocale()`

### getSupportedLocale

    public EList getSupportedLocale()

  Specified by:
    `getSupportedLocale` in interface `LocaleConfigType`
  Returns:
    the value of the 'Supported Locale' containment reference list.
  See Also:
    `FacesConfigPackage.getLocaleConfigType_SupportedLocale()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `LocaleConfigType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `LocaleConfigType.setId(String)`, `FacesConfigPackage.getLocaleConfigType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `LocaleConfigType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `LocaleConfigType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()